![FinVis](public/finvis_logo.png)

# FinVis

A financial tracking web app that allows users to track their investments across multiple exchanges.

## Purpose
To organize, display, and analyze stock trades on different exchanges in one place.

## Try It
You can run FinVis by checking out this repository, and running:
`npm run start`

Or view the [production site](https://fin-vis.com).

## The Team

This project is being developed for [Rensselaer Center for Open Source (RCOS)](https://new.rcos.io) by:

- [Ethan Girouard](https://gitlab.mregirouard.com/MRegirouard)
- [Carter Bertolini](https://gitlab.mregirouard.com/clbertolini)
- [Aaron Verkleeren](https://gitlab.mregirouard.com/averkleeren)
- [Derrick Lin](https://gitlab.mregirouard.com/derricklin)
- [Connor Wittman](https://gitlab.mregirouard.com/ecco257)
- [Danny Zou](https://gitlab.mregirouard.com/dannyzou18)
- [Aidan Westphal](https://gitlab.mregirouard.com/hifwiend)

## Stack

- We created this project using [create t3 app](https://create.t3.gg)
- We are making the frontend with [React](https://reactjs.org) and styling is done with [Tailwind CSS](https://tailwindcss.com)
- For server-side rendering, we are using [Next.js](https://nextjs.org)
- [tRPC](https://trpc.io) is used to handle API calls
- [MongoDB](https://www.mongodb.com) provides the database
